Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.store
Interface StoreFormatter

All Known Implementing Classes:
  FmtLayout2, FmtLayout2HashDB2, FmtLayout2HashDerby, FmtLayout2HashH2, FmtLayout2HashHSQL, FmtLayout2HashMySQL, FmtLayout2HashOracle, FmtLayout2HashPGSQL, FmtLayout2HashSQLServer, FmtLayout2IndexDB2, FmtLayout2IndexDerby, FmtLayout2IndexH2, FmtLayout2IndexHSQL, FmtLayout2IndexMySQL, FmtLayout2IndexOracle, FmtLayout2IndexPGSQL, FmtLayout2IndexSQLServer, FormatterSimple, FormatterSimpleDB2, FormatterSimpleDerby, FormatterSimpleH2, FormatterSimpleHSQL, FormatterSimpleMySQL, FormatterSimpleOracle, FormatterSimplePGSQL, FormatterSimpleSQLServer, StoreFormatterBase

    public interface StoreFormatter

Control of the main tables (triples, nodes) in a Store. This class does not manage secondary tables like PTables

Method Summary
`void` | `addIndexes()` Add indexes - these are kept upto date for any future additions or deletions of data
`void` | `create()` Create the main tables and all indexes
`void` | `dropIndexes()` Drop indexes for triple/node tables
`void` | `format()` Format the store - create tables but not secondary indexes
`void` | `truncate()` Truncate tables - clearing the store but leaving all indexes inplace

Method Detail

### create

    void create()

  Create the main tables and all indexes

### addIndexes

    void addIndexes()

  Add indexes - these are kept upto date for any future additions or deletions of data

### dropIndexes

    void dropIndexes()

  Drop indexes for triple/node tables

### format

    void format()

  Format the store - create tables but not secondary indexes

### truncate

    void truncate()

  Truncate tables - clearing the store but leaving all indexes inplace

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.